<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  
  <configSections>
    <section name="log4net" type="System.Configuration.IgnoreSectionHandler" />
  </configSections>
  
  <appSettings>
  </appSettings>
  
  <log4net>
    <appender name="ConsoleAppender" type="log4net.Appender.ConsoleAppender">
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="Tracer %m%n" />
      </layout>
    </appender>
    
    <appender name="FileAppender" type="log4net.Appender.FileAppender">
      <file value="log-file.txt" />
      <appendToFile value="true" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %-5level %logger [%ndc] - %message%newline" />
      </layout>
    </appender>

    <appender name="NetSendAppender" type="log4net.Appender.NetSendAppender">
      <threshold value="ERROR" />
      <server value="bobsid" />
      <recipient value="bobsid" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %-5level %logger [%ndc] - %message%newline" />
      </layout>
    </appender>

    <appender name="EventLogAppender" type="log4net.Appender.EventLogAppender" >
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %-5level %logger [%ndc] - %message%newline" />
      </layout>
    </appender>

    <appender name="RollingFileAppender" type="log4net.Appender.RollingFileAppender">
        <lockingmodel type="log4net.Appender.FileAppender+MinimalLock"/>
        <file value="LOGS\ReportManager.log" />
        <appendToFile value="true" />
        <maximumFileSize value="2MB" />
        <maxSizeRollBackups value="3" />
        <staticLogFileName value="true" />
        <layout type="log4net.Layout.PatternLayout">			
            <conversionPattern value="--------------------------%newline%date [%thread] %-5level %message%newline" />
        </layout>
    </appender>

    <appender name="UpdateAppender" type="log4net.Appender.FileAppender">
        <lockingmodel type="log4net.Appender.FileAppender+MinimalLock"/>
        <file type="log4net.Util.PatternString" value="%property{Update}" />
        <appendToFile value="true" />
        <maximumFileSize value="10MB" />
        <maxSizeRollBackups value="10" />
        <staticLogFileName value="true" />
        <layout type="log4net.Layout.PatternLayout">
            <conversionPattern value="[%d{yyyy-MM-dd HH:mm:ss}] %message%newline" />
        </layout>
    </appender>

    <root>
        <level value="ALL" />		
    </root>
    
    <logger name="Repmaker.Logging">
        <level value="ALL" />
        <appender-ref ref="RollingFileAppender" />
    </logger>

    <logger name="UpdateAppender">
        <level value="ALL" />
        <appender-ref ref="UpdateAppender" />
    </logger>
	  
</log4net>

</configuration>